* Replication file for In-Group Loyalty and the Punishment of Corruption 

* Results presented in main text

* Figure 1, see seperate R code entitled "WordCounts.R"

* Table 1

use "Replication Data ESS.dta"

ttest votepp, by(treatment2w)
ttest voted, by(treatment2w)
ttest econsat, by(treatment2w)
ttest age, by(treatment2w) 
ttest eduyrs, by(treatment2w)
ttest hincfel, by(treatment2w)
ttest rlgdgr, by(treatment2w)
ttest gender, by(treatment2w)
ttest employed, by(treatment2w)

* Table 2

use "Replication Data ESS.dta"

reg govsat treatment2w 
reg govsat treatment2w age gender employed eduyrs hincfel rlgdgr  econsat voted 
reg govsat treatment2w age gender employed eduyrs hincfel rlgdgr  econsat voted i.region_num

* Table 3

use "Replication Data ESS.dta"

reg govsat treatment2w PP treatment2wPP age gender employed eduyrs hincfel rlgdgr  econsat voted i.region_num
lincom treatment2w + treatment2wPP

reg econsat treatment2w PP treatment2wPP age gender employed eduyrs hincfel rlgdgr   voted i.region_num
lincom treatment2w + treatment2wPP

* Table 4

use "Replication Data Lab.dta"

xtprobit Cvote  Conlycaught sameID Conlycaught_sameID lprofdiff i.period i.block i.grupo if  period > 1, i(sujeto)
lincom Conlycaught+ Conlycaught_sameID

* Results in presented in Supporting Information

use "Replication Data ESS.dta"

* Table A.1

use "Replication Data ESS.dta"

sum govsat PP voted employed  hincfel  eduyrs  age gender  econsat rlgdgr   

* Tables B.1 & B.2

use "Replication Data ESS.dta"

* 1 week
reg govsat treatment1w PP treatment1wPP age gender employed eduyrs hincfel rlgdgr  econsat voted i.region_num
lincom treatment1w + treatment1wPP

* 3 weeks
reg govsat treatment3w PP treatment3wPP age gender employed eduyrs hincfel rlgdgr  econsat voted i.region_num
lincom treatment3w + treatment3wPP

* Table C.1

use "Replication Data ESS.dta"

reg govsat treatment2w age gender employed eduyrs hincfel rlgdgr  econsat voted i.region_num

reg govsat treatment2w PP treatment2wPP age gender employed eduyrs hincfel rlgdgr  econsat voted i.region_num
lincom treatment2w + treatment2wPP

* Table D.1

use "Replication Data ESS.dta"

teffects nnmatch (govsat employed) (treatment2w), ate metric(maha)  biasadj(employed)

drop if PP==1 
teffects nnmatch (govsat employed) (treatment2w), ate metric(maha)  biasadj(employed)

use "Replication Data ESS.dta", replace 

drop if PP==0 
teffects nnmatch (govsat employed) (treatment2w), ate metric(maha)  biasadj(employed)

use "Replication Data ESS.dta", replace 

* Table E.1 

use "Replication Data ESS.dta"

reg treatment2w i.PP age gender employed eduyrs hincfel rlgdgr  econsat voted i.region_num

* Tables F.1 & F.2

use "Replication Data ESS.dta"

* placebo 1
reg govsat placebo2w
reg govsat placebo2w i.region_num
reg govsat placebo2w age gender employed eduyrs hincfel rlgdgr econsat voted i.region_num
reg govsat placebo2w##PP  age gender employed eduyrs hincfel rlgdgr econsat voted i.region_num

* placebo 2
reg govsat placebo2w2
reg govsat placebo2w2 i.region_num
reg govsat placebo2w2 age gender employed eduyrs hincfel rlgdgr econsat voted i.region_num
reg govsat placebo2w2##PP  age gender employed eduyrs hincfel rlgdgr econsat voted i.region_num

* Table G.1

use "Replication Data Lab.dta"

sum Cvote Conlycaught sameID  lprofdiff

* Table G.2

use "Replication Data Lab.dta"

ttest gender if periodo == 1, by(painterchoice)

ttest year if periodo == 1, by(painterchoice)

ttest class if periodo == 1, by(painterchoice)

ttest ideology if periodo == 1, by(painterchoice)

ttest interestedpol if periodo == 1, by(painterchoice)

ttest jump if periodo == 1, by(painterchoice)

* Table H.1

use "Replication Data Lab.dta"

xtprobit Cvote  Conlycaught sameID Conlycaught_sameID lprofdiff gender year class ideology jump interestedpol  i.period i.block i.grupo if period > 1  , i(sujeto)

* Table I.1

use "Replication Data Lab.dta"

reg Cvote  Conlycaught sameID Conlycaught_sameID lprofdiff i.period i.block i.grupo if period > 1  , cluster(sujeto)
